Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010480 [DCSS] Bug Report minor random 2016-06-06 18:35 2018-08-03 18:53
Reporter Le_Nerd View Status public  
Assigned To advil
Priority normal Resolution done  
Status resolved   Product Branch 0.19 ancient branch
Summary 0010480: Autotravel bugged, travelling via Hell
Description - http://crawl.develz.org/saves/dumps/Svalbardcaretaker-d6a9987-160606-1631.tar.bz2 [^]

Has happened multiple times in this game, with varying locations, always landing in Hell. Trying to go to Zot from the current safed game state in U:2 will land in hell. After clearing it of monsters it will just go on and reach Zot.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0011017closedPleasingFungus Interlevel travel tries to path through Hell 
has duplicate 0011152closedPleasingFungus Interlevel travel leads to Hell sometimes 

-  Notes
(0030699)
rchandra (reporter)
2016-07-02 00:23
edited on: 2016-07-02 00:27

Here's another, I was travelling to the triple sword in swamp:1 (ctrl-f triple, a)

https://crawl.jorgrun.rocks/saves/rchandra-crawl-git-c78d25dfcd-160701-2220.tar.bz2 [^]

e: this game is from CJR, fixing link

(0032494)
advil (administrator)
2018-08-03 18:52

I believe I have fixed this at https://github.com/crawl/crawl/commit/cb77f54b9cb6 [^]

tested on some saves from this set of bugs, at least (though I couldn't get all of them).

- Issue History
Date Modified Username Field Change
2016-06-06 18:35 Le_Nerd New Issue
2016-07-02 00:23 rchandra Note Added: 0030699
2016-07-02 00:27 rchandra Note Edited: 0030699
2017-04-17 06:59 PleasingFungus Relationship added has duplicate 0011017
2017-07-17 18:09 PleasingFungus Relationship added has duplicate 0011152
2018-08-03 18:52 advil Note Added: 0032494
2018-08-03 18:52 advil Status new => resolved
2018-08-03 18:52 advil Fixed in Branch => 0.22 development branch
2018-08-03 18:52 advil Resolution open => done
2018-08-03 18:52 advil Assigned To => advil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker